> For the complete documentation index, see [llms.txt](https://docs.zebec.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zebec.io/zebec-near/zebec-near-sdk/normal-stream/initialize-near-stream.md).

# Initialize Near Stream

Stream can be initialize in the following way:

```typescript
const now = nowInSec();
const streamRate = NearAmount.parse("0.0001").toString();

const startTime = (now + 15).toString();
const endTime = (now + 400).toString(); // 5 min
const receiver = "receiverAccountId.testnet";
const canCancel = true;
const canUpdate = true;

const streamParams: InitStreamParams = {
   streamRate,
   startTime,
   endTime,
   receiver,
   canCancel,
   canUpdate,
};

const streamPayload = await client.initStream(streamParams);

// for node application
const results = await streamPayload.execute(); // throws error if keystore is not provided.

// or
// for browser application
const results = await wallet.signAndSendTransactions(streamPayload);
```

If you require to obtain streamId, then you can get it in the following way.

<pre class="language-typescript"><code class="lang-typescript"><strong> const streamId = JSON.parse(
</strong>   Buffer.from((results[results.length - 1].status as any).SuccessValue || "", "base64").toString(),
);
</code></pre>

However, this is not applicable for the case of token stream. See [Next](/zebec-near/zebec-near-sdk/normal-stream/initialize-token-stream.md) page for code.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zebec.io/zebec-near/zebec-near-sdk/normal-stream/initialize-near-stream.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
